.contact {
    background-color: var(--primary-color);
    color: var(--text-color-inverse);
    font-size: 18px;
    border-radius: 14px;
    padding: 25px;
    display: grid;
    gap: 25px;
}

.contact p,
.contact h2,
.contact ul {
    margin: 0;
    padding: 0;
}

.contact-title {
    text-align: center;
    text-transform: uppercase;
    font-weight: bold;
    font-size: 30px;
    margin: 0;
}

.contact-details,
.contact-form {
    display: grid;
    gap: 20px;
}


.contact-details-group,
.contact-form-group {
    display: grid;
    gap: 3px;
}

.contact-label {
    text-transform: uppercase;
    font-weight: 500;
}


.contact-form input,
.contact-form textarea {
    border: none;
    border-radius: 7px;
    height: 30px;
    padding: 5px 10px;
}

.contact-form textarea {
    height: auto;
    resize: vertical;
}

.contact-form-submit {
    width: 100%;
    height: 50px;

    background-color: var(--primary-color-inverse);
    border-radius: 7px;
    color: var(--text-color-inverse);
    border: 1px solid var(--theme-color);

    cursor: pointer;
}

.contact-form-submit:hover {
    box-shadow: 0 0 14px var(--secondary-color);

}

.social-list {
    list-style: none;
    display: flex;
    gap: 25px;
    justify-content: center;
}

.social-list img {
    height: 25px;
}

.social-list img:hover {
    filter: drop-shadow(0 0 10px var(--secondary-color));
}

@media(min-width:950px) {
    .contact {
        font-size: 20px;
        padding: 70px;
        max-width: 980px;
        margin: 0 auto;
        box-sizing: border-box;
        display: grid;

    }


    .contact-title {
        text-align: left;
        font-size: 35px;
    }

    .social-list {
        list-style: none;
        display: flex;
        gap: 25px;
        justify-content: flex-start;
    }

    .social-list img {
        height: 25px;
    }

    .social-list img:hover {
        filter: drop-shadow(0 0 10px var(--secondary-color));
    }

    /* Grid Area */

    .contact-title {
        grid-area: title;
    }

    .contact-details{
        grid-area: details;
    }

    .contact-form{
        grid-area: form;
    }

    .social{
        grid-area: social;
    }

    .contact{
        display: grid;
        grid: "title form"
              "details form"
              "social form" / 1fr 1fr;
              align-items:start;
    }

}